summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/PR_revision.log1
-rwxr-xr-xci/deploy.sh31
-rwxr-xr-xci/util.sh18
3 files changed, 26 insertions, 24 deletions
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index f8b11a71..f7b832e6 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -41,3 +41,4 @@
79,Fix controller and compute ip array
80,Change TenantNIC and PublicNIC to be role specific
81,Fix duplicate NeutronServicePlugins
+82,Fixes neutron sdnvpn config resource
diff --git a/ci/deploy.sh b/ci/deploy.sh
index ee0ea3ba..24c26d94 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -36,23 +36,24 @@ declare -A deploy_options_array
declare -a performance_options
declare -A NET_MAP
+APEX_TMP_DIR=$(python3 -c "import tempfile; print(tempfile.mkdtemp())")
SSH_OPTIONS=(-o StrictHostKeyChecking=no -o GlobalKnownHostsFile=/dev/null -o UserKnownHostsFile=/dev/null -o LogLevel=error)
DEPLOY_OPTIONS=""
CONFIG=${CONFIG:-'/var/opt/opnfv'}
RESOURCES=${RESOURCES:-"$CONFIG/images"}
LIB=${LIB:-"$CONFIG/lib"}
-OPNFV_NETWORK_TYPES="admin_network private_network public_network storage_network api_network"
+OPNFV_NETWORK_TYPES="admin tenant external storage api"
VM_CPUS=4
VM_RAM=8
VM_COMPUTES=1
# Netmap used to map networks to OVS bridge names
-NET_MAP['admin_network']="br-admin"
-NET_MAP['private_network']="br-private"
-NET_MAP['public_network']="br-public"
-NET_MAP['storage_network']="br-storage"
-NET_MAP['api_network']="br-api"
+NET_MAP['admin']="br-admin"
+NET_MAP['tenant']="br-tenant"
+NET_MAP['external']="br-external"
+NET_MAP['storage']="br-storage"
+NET_MAP['api']="br-api"
ext_net_type="interface"
ip_address_family=4
@@ -77,11 +78,11 @@ done
display_usage() {
echo -e "Usage:\n$0 [arguments] \n"
- echo -e " -d|--deploy-settings : Full path to deploy settings yaml file. Optional. Defaults to null"
- echo -e " -i|--inventory : Full path to inventory yaml file. Required only for baremetal"
- echo -e " -n|--net-settings : Full path to network settings file. Optional."
- echo -e " -p|--ping-site : site to use to verify IP connectivity. Optional. Defaults to 8.8.8.8"
- echo -e " -v|--virtual : Virtualize overcloud nodes instead of using baremetal."
+ echo -e " --deploy-settings | -d : Full path to deploy settings yaml file. Optional. Defaults to null"
+ echo -e " --inventory | -i : Full path to inventory yaml file. Required only for baremetal"
+ echo -e " --net-settings | -n : Full path to network settings file. Optional."
+ echo -e " --ping-site | -p : site to use to verify IP connectivity. Optional. Defaults to 8.8.8.8"
+ echo -e " --virtual | -v : Virtualize overcloud nodes instead of using baremetal."
echo -e " --flat : disable Network Isolation and use a single flat network for the underlay network."
echo -e " --no-post-config : disable Post Install configuration."
echo -e " --debug : enable debug output."
@@ -96,7 +97,6 @@ display_usage() {
parse_cmdline() {
echo -e "\n\n${blue}This script is used to deploy the Apex Installer and Provision OPNFV Target System${reset}\n\n"
echo "Use -h to display help"
- sleep 2
while [ "${1:0:1}" = "-" ]
do
@@ -171,9 +171,10 @@ parse_cmdline() {
;;
esac
done
+ sleep 2
if [[ ! -z "$NETSETS" && "$net_isolation_enabled" == "FALSE" ]]; then
- echo -e "${red}INFO: Single flat network requested. Only admin_network settings will be used!${reset}"
+ echo -e "${red}INFO: Single flat network requested. Only admin network settings will be used!${reset}"
elif [[ -z "$NETSETS" ]]; then
echo -e "${red}ERROR: You must provide a network_settings file with -n.${reset}"
exit 1
@@ -185,7 +186,7 @@ parse_cmdline() {
echo -e "${red}ERROR: You should not specify an inventory file with virtual deployments${reset}"
exit 1
else
- INVENTORY_FILE='/tmp/inventory-virt.yaml'
+ INVENTORY_FILE="$APEX_TMP_DIR/inventory-virt.yaml"
fi
elif [[ -z "$INVENTORY_FILE" ]]; then
echo -e "${red}ERROR: You must specify an inventory file for baremetal deployments! Exiting...${reset}"
@@ -246,7 +247,7 @@ main() {
fi
fi
if [[ "${deploy_options_array['sdn_controller']}" == 'onos' ]]; then
- if ! onos_update_gw_mac ${public_network_cidr} ${public_network_gateway}; then
+ if ! onos_update_gw_mac ${external_cidr} ${external_gateway}; then
echo -e "${red}ERROR:ONOS Post Install Configuration Failed, Exiting.${reset}"
exit 1
else
diff --git a/ci/util.sh b/ci/util.sh
index 8c09278a..480858d0 100755
--- a/ci/util.sh
+++ b/ci/util.sh
@@ -23,19 +23,19 @@ resolve_cmd() {
display_usage() {
echo -e "Usage:\n$0 subcommand [ arguments ]\n"
echo -e "Arguments:\n"
- echo -e " undercloud [ user [ command ] ] Connect to Undercloud VM as user and optionally execute a command\n"
- echo -e " user Optional: Defaults to 'stack'\n"
- echo -e " command Optional: Defaults to none\n"
+ echo -e " undercloud [ user [ command ] ] Connect to Undercloud VM as user and optionally execute a command"
+ echo -e " user Optional: Defaults to 'stack'"
+ echo -e " command Optional: Defaults to none"
echo -e ""
- echo -e " opendaylight Connect to OpenDaylight Karaf console\n"
+ echo -e " opendaylight Connect to OpenDaylight Karaf console"
echo -e ""
- echo -e " overcloud [ node [ command ] ] Connect to an Overcloud node and optionally execute a command\n"
- echo -e " node Required: in format controller|compute<number>. Example: controller0\n"
- echo -e " command Optional: Defaults to none\n"
+ echo -e " overcloud [ node [ command ] ] Connect to an Overcloud node and optionally execute a command"
+ echo -e " node Required: in format controller|compute<number>. Example: controller0"
+ echo -e " command Optional: Defaults to none"
echo -e ""
- echo -e " debug-stack Print parsed deployment failures to stdout \n"
+ echo -e " debug-stack Print parsed deployment failures to stdout"
echo -e ""
- echo -e " mock-detached on | off Add firewall rules to the jump host to mock a detached deployment \n"
+ echo -e " mock-detached on | off Add firewall rules to the jump host to mock a detached deployment\n"
}
##translates the command line argument